cancel
Showing results for 
Search instead for 
Did you mean: 

Can't install any add-on if FF4.0.1

Highlighted
New Contributor

Can't install any add-on if FF4.0.1

I have 2 versions of FF, latest 14.x and also 4.0.1 which I want to keep. I start both with different profiles using path_to_firefox.exe -P profile_name -no-remote With 14.x I have no problems, but can't install any add-on in 4.0.1 - I tried installing from web or from a .xpi file - in both cases the download progress bar fills to 100% and then stays there forever, without proceeding further. Is there a way to manually install an add-on? By this I don't mean from .xpi file, but really manually - if I extract .xpi contents, where should I place the files, and which other files I have to modify to have an add-on working?

OS is XP sp3 pro 32-bit US-English

Thanks

2 REPLIES
All Star Contributor

Re: Can't install any add-on if FF4.0.1

Site Moderator

Re: Can't install any add-on if FF4.0.1

Does this also happen if you download and save the xpi file to your computer and use File > Open File to install the extension?

Start Firefox in Safe Mode to check if one of the extensions or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance/Themes).


Also make sure that your security software isn't blocking the file download.